Référence
Scripts et médias
Référence générée depuis le contrat OpenAPI : Scripts et médias.
Les scripts de vente d'une créatrice
GET /public/v1/creators/{creator_id}/scripts · listScripts
Paramètres
| Nom | Où | Type | Requis | Description |
|---|---|---|---|---|
creator_id | chemin | string | oui | Identifiant de la créatrice. |
platform | requête | "mym" | "telegram" | "onlyfans" | "fanvue" | non | (défaut : mym) |
Réponse 200
Page_Script_
| Champ | Type | Requis | Description |
|---|---|---|---|
items | Script[] | oui | |
nextCursor | string | null | non | À repasser en cursor pour lire la page suivante ; null = dernière page. |
Script
| Champ | Type | Requis | Description |
|---|---|---|---|
id | string | oui | |
name | string | oui | |
description | string | oui | |
enabled | boolean | oui | |
stepsCount | integer | oui | |
mediaCount | integer | oui | |
folderId | string | null | oui |
Erreurs possibles
401 · 403 · 404 · 422 · 429 · 503 — Format des erreurs : Erreurs.
Exemple
curl -X GET "https://app.fanconvert.ai/public/v1/creators/{creator_id}/scripts" \
-H "Authorization: Bearer $FANCONVERT_API_KEY"La médiathèque d'une créatrice
GET /public/v1/creators/{creator_id}/media · listMedia
Paramètres
| Nom | Où | Type | Requis | Description |
|---|---|---|---|---|
creator_id | chemin | string | oui | Identifiant de la créatrice. |
platform | requête | string | non | La médiathèque n'existe que sur MYM. (défaut : mym) |
Réponse 200
Page_MediaPack_
| Champ | Type | Requis | Description |
|---|---|---|---|
items | MediaPack[] | oui | |
nextCursor | string | null | non | À repasser en cursor pour lire la page suivante ; null = dernière page. |
MediaPack
| Champ | Type | Requis | Description |
|---|---|---|---|
id | string | oui | |
name | string | oui | |
description | string | oui | |
fileCount | integer | oui |
Erreurs possibles
401 · 403 · 404 · 422 · 429 · 503 — Format des erreurs : Erreurs.
Exemple
curl -X GET "https://app.fanconvert.ai/public/v1/creators/{creator_id}/media" \
-H "Authorization: Bearer $FANCONVERT_API_KEY"Mis à jour le